Bug 185448 - policygentool seems to be broken
policygentool seems to be broken
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-14 16:30 EST by Thorsten Scherf
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-09 15:24:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thorsten Scherf 2006-03-14 16:30:04 EST
Description of problem:
when generating a foo.pp file with policygentool, answering the questions seems
to break the pp-file when calling the Makefile:
[root@tiffy devel]# make -f Makefile
Compliling targeted httpd module
/usr/bin/checkmodule:  loading policy configuration from tmp/httpd.tmp
httpd.te:42:ERROR 'syntax error' at token 'init_use_fd' on line 43202:
init_use_fd(httpd_t)
# Init script handling
/usr/bin/checkmodule:  error(s) encountered while parsing configuration
make: *** [tmp/httpd.mod] Fehler 1

when not answering the questions, it's working:
[root@tiffy devel]# make -f Makefile
Compliling targeted httpd module
/usr/bin/checkmodule:  loading policy configuration from tmp/httpd.tmp
/usr/bin/checkmodule:  policy configuration loaded
/usr/bin/checkmodule:  writing binary representation (version 5) to tmp/httpd.mod
Creating targeted httpd.pp policy package
rm tmp/httpd.mod.fc tmp/httpd.mod





Version-Release number of selected component (if applicable):
selinux-policy-2.2.23-15

How reproducible:
./policygentool foo /usr/sbin/foo
answer all questions for log files, init-scripts, ...



Steps to Reproduce:
1../policygentool foo /usr/sbin/foo
2.answer all questions for log files, init-scripts, ...
3.make -f Makefile (in /usr/share/selinux/devel/)
  
Actual results:
pp-file isn't created.

Expected results:
a working pp-file which could be loaded with "semodule -i foo.pp"

Additional info:

Note You need to log in before you can comment on or make changes to this bug.